# Uses of Interface
org.opensaml.saml.saml2.binding.artifact.SAML2ArtifactBuilder

Packages that use SAML2ArtifactBuilder
Package
Description
org.opensaml.saml.saml2.binding.artifact
Classes that may be used to create and manipulate SAML 2 artifacts.

## Uses of SAML2ArtifactBuilder in org.opensaml.saml.saml2.binding.artifact

Classes in org.opensaml.saml.saml2.binding.artifact that implement SAML2ArtifactBuilder
Modifier and Type
Class
Description
`class`
`SAML2ArtifactType0004Builder`
SAML 2, type 0x0004, artifact builder.
Fields in org.opensaml.saml.saml2.binding.artifact with type parameters of type SAML2ArtifactBuilder
Modifier and Type
Field
Description
`private Map<String,SAML2ArtifactBuilder<?>>`
SAML2ArtifactBuilderFactory.`artifactBuilders`
Registered artifact builders.
Methods in org.opensaml.saml.saml2.binding.artifact that return SAML2ArtifactBuilder
Modifier and Type
Method
Description
`SAML2ArtifactBuilder<?>`
SAML2ArtifactBuilderFactory.`getArtifactBuilder(byte[] type)`
Gets the artifact builder for the given type.
Methods in org.opensaml.saml.saml2.binding.artifact that return types with arguments of type SAML2ArtifactBuilder
Modifier and Type
Method
Description
`Map<String,SAML2ArtifactBuilder<?>>`
SAML2ArtifactBuilderFactory.`getArtifactBuilders()`
Gets the currently registered artifact builders.